Bug 892604 - Unnecessary output is seen when invalid option is passed to sss_cache
Summary: Unnecessary output is seen when invalid option is passed to sss_cache
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd   
(Show other bugs)
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 7.0
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-07 11:35 UTC by Kaushik Banerjee
Modified: 2014-06-18 04:00 UTC (History)
5 users (show)

Fixed In Version: sssd-1.10.0-1.el7.alpha1
Doc Type: Known Issue
Doc Text:
The ssh_cache utility sets the DEBUG level after it processes the command-line parameters. If the command-line parameters cannot be processed, the utility prints DEBUG lines that are not supposed to be printed by default. To avoid this, correct parameters must be used.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 11:29:35 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kaushik Banerjee 2013-01-07 11:35:29 UTC
Description of problem:
Unnecessary output is seen when invalid option is passed to sss_cache 

Version-Release number of selected component (if applicable):
sssd-1.9.2-59.el6

How reproducible:
Always

Steps to Reproduce:
1. sss_cache -h
2.
3.
  
Actual results:
# sss_cache -h
Usage: sss_cache [-?UGNSA] [-?|--help] [--usage] [-u|--user STRING]
        [-U|--users] [-g|--group STRING] [-G|--groups] [-n|--netgroup STRING]
        [-N|--netgroups] [-s|--service STRING] [-S|--services]
        [-a|--autofs-map STRING] [-A|--autofs-maps] [-d|--domain STRING]
unknown option(Mon Jan  7 16:56:36:008619 2013) [sssd] [main] (0x0020): Error initializing context for the application


Expected results:
The "unknown option..." line shouldn't be seen

Additional info:

Comment 2 Jakub Hrozek 2013-01-07 12:11:18 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1745

Comment 6 Jakub Hrozek 2013-03-26 18:14:11 UTC
Fixed upstream.

Comment 7 Jakub Hrozek 2013-10-04 13:25:35 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 9 Amith 2013-12-10 14:01:05 UTC
Verified the bug on sssd version: sssd-1.11.2-10.el7.x86_64

Steps followed during verification:

1. Reproduce the bug with older sssd build. Pass unknown option as parameter to sss_cache command.

# sss_cache -h 
Usage: sss_cache [-?UGNSA] [-?|--help] [--usage] [-u|--user STRING] [-U|--users] [-g|--group STRING] [-G|--groups] [-n|--netgroup STRING]
        [-N|--netgroups] [-s|--service STRING] [-S|--services] [-a|--autofs-map STRING] [-A|--autofs-maps] [-d|--domain STRING]
unknown option(Tue Dec 10 19:25:58:693318 2013) [sssd] [main] (0x0020): Error initializing context for the application

2. With the latest sssd build, irrelevant output has been removed. See the cmd output below:

[root@rhel-7 sssd]# sss_cache -h
Usage: sss_cache [-?EUGNSA] [-?|--help] [--usage] [-E|--everything] [-u|--user STRING] [-U|--users] [-g|--group STRING] [-G|--groups]
        [-n|--netgroup STRING] [-N|--netgroups] [-s|--service STRING] [-S|--services] [-a|--autofs-map STRING] [-A|--autofs-maps]
        [-d|--domain STRING]
unknown option

Comment 10 Ludek Smid 2014-06-13 11:29:35 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.